package cn.superdesk.uniorder.dao.mapper.operationCenter;

import cn.superdesk.uniorder.dao.entity.operationCenter.OperationCenterOperatorSettlementStrategy;
import cn.superdesk.uniorder.dao.entity.operationCenter.OperationCenterOperatorSettlementStrategyExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface OperationCenterOperatorSettlementStrategyMapper {
    long countByExample(OperationCenterOperatorSettlementStrategyExample example);

    int deleteByExample(OperationCenterOperatorSettlementStrategyExample example);

    int deleteByPrimaryKey(Long id);

    int insert(OperationCenterOperatorSettlementStrategy record);

    int insertSelective(OperationCenterOperatorSettlementStrategy record);

    List<OperationCenterOperatorSettlementStrategy> selectByExample(OperationCenterOperatorSettlementStrategyExample example);

    OperationCenterOperatorSettlementStrategy selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") OperationCenterOperatorSettlementStrategy record, @Param("example") OperationCenterOperatorSettlementStrategyExample example);

    int updateByExample(@Param("record") OperationCenterOperatorSettlementStrategy record, @Param("example") OperationCenterOperatorSettlementStrategyExample example);

    int updateByPrimaryKeySelective(OperationCenterOperatorSettlementStrategy record);

    int updateByPrimaryKey(OperationCenterOperatorSettlementStrategy record);
}